Skip to content
Login Sign up

Custom headers

Add any header to the outgoing scrape request by sending it with a Wsa- prefix. The API strips the prefix and forwards the header to the target site.

GET https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=<TARGET_URL>
ParameterTypeRequiredDescription
api_keystringyesYour Web Scraping API key
urlstringyesTarget URL to fetch
Wsa-* (header)stringnoAny header prefixed with Wsa- is forwarded to the target without the prefix.
Terminal window
curl "https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=http%3A%2F%2Fhttpbin.org%2Fheaders" \
-H "Wsa-My-header: test" \
-H "Wsa-User-Agent: potato"
{
"headers": {
"Accept": "text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8",
"Accept-Encoding": "gzip, deflate, br",
"Host": "httpbin.org",
"My-Header": "test",
"Upgrade-Insecure-Requests": "1",
"User-Agent": "potato"
}
}